require "uu/os/form/input"

module UU
  module OS
    module Form

      # choice component
      class Reference < UU::OS::Form::Input

        # Reference restriction.
        attr_accessor :restriction

        # Allows choose another territory in search dialog. This attribute is not used for validation. If attribute value is changed to false, set component vaue may be valid UESURI from another territory.
        attr_accessor :allow_territory_choice

        # When testing code finds 1 artifact, this attribute indicates
        # whether to transfer unused URI parts (such as object, usecase, parameters)
        # into the result value. I.e. if true and user tested 'TER:ART:OBJ?UC',
        # the result value will be 'ues:TER[123]:ART[234]:OBJ?UC'.
        attr_accessor :preserve_full_uri

        def restriction
          attributes[:restriction]
        end

        def restriction=(restriction)
          attributes[:restriction] = restriction
        end

        def allow_territory_choice
          attributes[:allowTerritoryChoice]
        end

        def allow_territory_choice=(allow_territory_choice)
          attributes[:allowTerritoryChoice] = allow_territory_choice
        end

        def preserve_full_uri
          attributes[:preserveFullUri]
        end

        def preserve_full_uri=(value)
          attributes[:preserveFullUri] = value
        end

      end
    end
  end
end